## qt6-tools 6.8.0

=== debian/changelog ===
qt6-tools (6.8.0-0deepin3) unstable; urgency=medium

  * update debian/changelog

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Nov 2024 16:42:20 +0800

qt6-tools (6.8.0-0deepin2) unstable; urgency=medium

  [ Tianyu Chen ]
  * New upstream release (6.8.0).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.

  [ lichenggang ]
  * update debian/qt6-tools-doc-html.install 

 -- lichenggang <lichenggang@deepin.org>  Thu, 31 Oct 2024 21:26:09 +0800

qt6-tools (6.6.1-1deepin1) experimental; urgency=medium

  * fix: cmake find zstd before clang

 -- hudeng <hudeng@deepin.org>  Mon, 16 Sep 2024 00:25:13 +0800

=== debian/control ===
Source: qt6-tools
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: clang,
               cmake (>= 3.24~),
               debhelper-compat (= 13),
               libclang-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               libgl-dev,
               liblitehtml-dev (>= 0.6~),
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               libzstd-dev (>= 1.3),
	       libcups2-dev,
               llvm-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0+dfsg~),
               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
Rules-Requires-Root: no

Package: libqt6designer6
Architecture: any
Multi-Arch: same
Provides: qt6-designer-abi (= 6.8.0),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner library provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: libqt6designercomponents6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer Components library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes components for the Qt 6 Designer library.

Package: libqt6help6
Architecture: any
Multi-Arch: same
Provides: qt6-help-abi (= 6.8.0),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Help library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtHelp library provides classes for integrating online documentation in
 applications.

Package: libqt6uitools6
Architecture: any
Multi-Arch: same
Provides: qt6-uitools-abi (= 6.8.0),
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 UI tools library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The package provides classes to handle forms created with Qt Designer.

Package: assistant-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Assistant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Assistant is a tool for viewing on-line documentation in Qt help file
 format.

Package: designer-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Designer
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Designer is the Qt tool for designing and building graphical user
 interfaces (GUIs) with Qt Widgets.

Package: linguist-qt6
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Linguist
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Linguist is a tool for adding translations to Qt applications.

Package: qdbus-qt6
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: qt6-tools-dev-tools (<< 6.3.1-2~),
Replaces: qt6-tools-dev-tools (<< 6.3.1-2~),
Description: Qt 6 D-Bus application
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 qdbus is a tool for listing D-Bus services and its properties.

Package: qt6-documentation-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 documentation tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains tools like qdoc, qtattributionsscanner and
 qhelpgenerator.
 .
 qdoc is a command-line tool for generating HTML documentation from .cpp
 and .qdoc files.
 .
 qtattributionsscanner is a command-line tool that scans the source
 code for qt_attribution.json file and outputs JSON or qdoc files
 describing the copyright attributions for third party code.
 .
 qhelpgenerator is a command-line tool for packaging the HTML
 documentation generated by qdoc into .qch files.

Package: qt6-l10n-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 translation tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains tools to create translation files.

Package: qt6-tools-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6designer6 (= ${binary:Version}),
         libqt6designercomponents6 (= ${binary:Version}),
         libqt6help6 (= ${binary:Version}),
         libqt6uitools6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-tools-dev-tools (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Tools - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications.

Package: qt6-tools-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-tools-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Tools - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains private header development files.
 .
 Use at your own risk.

Package: qt6-tools-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: assistant-qt6 (= ${binary:Version}),
         designer-qt6 (= ${binary:Version}),
         linguist-qt6 (= ${binary:Version}),
         qdbus-qt6 (= ${binary:Version}),
         qt6-documentation-tools (= ${binary:Version}),
         qt6-l10n-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 development tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of applications to browse the documentation,
 translate applications, generate help files and other stuff that
 helps in Qt development. These tools are among others:
  * pixeltool
  * qdbusviewer

Package: qt6-tools-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 tools.

Package: qt6-tools-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 tools.

Package: qt6-tools-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 tools tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt tools
 documentation.

Package: qt6-tools-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 tools examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt tools submodule.

## qt6-tools 6.8.1

=== debian/changelog ===
qt6-tools (6.8.1-0ubuntu1) plucky; urgency=medium

  [ Pino Toscano ]
  * Add qdoc-qt6 as Build-Depends-Indep: it is needed to generate the API
    documentations.

  [ Simon Quigley ]
  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:55:03 -0600

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,35 @@
 Source: qt6-tools
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: clang,
+Build-Depends: clang-18 [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
                cmake (>= 3.24~),
                debhelper-compat (= 13),
-               libclang-dev,
+               libclang-18-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+               libcups2-dev,
                libcurl4-openssl-dev | libcurl4-dev,
+               libedit-dev,
                libgl-dev,
-               liblitehtml-dev (>= 0.6~),
+#               liblitehtml-dev (>= 0.6~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                libzstd-dev (>= 1.3),
-	       libcups2-dev,
-               llvm-dev,
+               llvm [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+               llvm-18-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+Build-Depends-Indep: qdoc-qt6 (>= 6.8~) <!nodoc>,
+                     qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
@@ -34,7 +38,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-abi (= 6.8.0),
+Provides: qt6-designer-private-abi (= 6.8.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Designer library
@@ -59,7 +63,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-abi (= 6.8.0),
+Provides: qt6-help-private-abi (= 6.8.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Help library
@@ -72,7 +76,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-abi (= 6.8.0),
+Provides: qt6-uitools-private-abi (= 6.8.1),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 UI tools library
@@ -104,6 +108,22 @@
  .
  Qt Designer is the Qt tool for designing and building graphical user
  interfaces (GUIs) with Qt Widgets.
+
+Package: designer-qt6-plugins
+Architecture: any
+Multi-Arch: same
+Section: devel
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: designer-qt6 (<< 6.6.1-2~),
+Replaces: designer-qt6 (<< 6.6.1-2~),
+Description: Qt 6 Designer - plugins
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ Qt Designer is the Qt tool for designing and building graphical user
+ interfaces (GUIs) with Qt Widgets.
+ .
+ This package contains various plugins to be used with the Qt Designer.
 
 Package: linguist-qt6
 Architecture: any
@@ -129,20 +149,33 @@
  .
  qdbus is a tool for listing D-Bus services and its properties.
 
+Package: qdoc-qt6
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64
+Multi-Arch: foreign
+Section: utils
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: qt6-documentation-tools (<< 6.7.2-5~),
+Replaces: qt6-documentation-tools (<< 6.7.2-5~),
+Description: Qt 6 qdoc tool
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains qdoc, a command-line tool for generating HTML
+ documentation from .cpp and .qdoc files.
+
 Package: qt6-documentation-tools
 Architecture: any
 Multi-Arch: foreign
 Section: utils
-Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends},
+Depends: libqt6sql6-sqlite,
+         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 documentation tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains tools like qdoc, qtattributionsscanner and
- qhelpgenerator.
- .
- qdoc is a command-line tool for generating HTML documentation from .cpp
- and .qdoc files.
+ This package contains tools like qtattributionsscanner and qhelpgenerator.
  .
  qtattributionsscanner is a command-line tool that scans the source
  code for qt_attribution.json file and outputs JSON or qdoc files

## qt6-tools 6.8.2

=== examples/designer/taskmenuextension/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(taskmenuextension LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

#! [0]
find_package(Qt6 REQUIRED COMPONENTS Core Designer Gui Widgets)

qt_add_plugin(taskmenuextension)
#! [0]

#! [1]
target_sources(taskmenuextension PRIVATE
    tictactoe.cpp tictactoe.h
    tictactoedialog.cpp tictactoedialog.h
    tictactoeplugin.cpp tictactoeplugin.h
    tictactoetaskmenu.cpp tictactoetaskmenu.h
)
#! [1]

set_target_properties(taskmenuextension PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

#! [2]
target_link_libraries(taskmenuextension PUBLIC
    Qt::Core
    Qt::Designer
    Qt::Gui
    Qt::Widgets
)
#! [2]

if(QT6_INSTALL_PREFIX)
#! [3]
   set(INSTALL_EXAMPLEDIR "${QT6_INSTALL_PREFIX}/${QT6_INSTALL_PLUGINS}/designer")
#! [3]
else()
   if(NOT DEFINED INSTALL_EXAMPLESDIR)
       set(INSTALL_EXAMPLESDIR "examples")
   endif()
   set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/plugins/designer")
endif()

#! [4]
install(TARGETS taskmenuextension
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)
#! [4]

=== src/assistant/plugins/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(TARGET Qt::Help AND TARGET Qt::QmlLSPrivate)
    add_subdirectory(help)
endif()

=== tests/auto/qtattributionsscanner/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qtattributionsscanner Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qtattributionsscanner LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qtattributionsscanner
    SOURCES
        tst_qtattributionsscanner.cpp
)

target_compile_definitions(tst_qtattributionsscanner
    PRIVATE QTTOOLS_LICENSES_DIR="${CMAKE_CURRENT_SOURCE_DIR}/../../../LICENSES"
)

=== src/designer/src/components/lib/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## DesignerComponentsPrivate Module:
#####################################################################

qt_internal_add_module(DesignerComponentsPrivate
    INTERNAL_MODULE
    SOURCES
        lib_pch.h
        ../buddyeditor/buddyeditor.cpp ../buddyeditor/buddyeditor.h
        ../buddyeditor/buddyeditor_global.h
        ../buddyeditor/buddyeditor_plugin.cpp ../buddyeditor/buddyeditor_plugin.h
        ../buddyeditor/buddyeditor_tool.cpp ../buddyeditor/buddyeditor_tool.h
        ../formeditor/default_actionprovider.cpp ../formeditor/default_actionprovider.h
        ../formeditor/default_container.cpp ../formeditor/default_container.h
        ../formeditor/default_layoutdecoration.cpp ../formeditor/default_layoutdecoration.h
        ../formeditor/deviceprofiledialog.cpp ../formeditor/deviceprofiledialog.h
        ../formeditor/dpi_chooser.cpp ../formeditor/dpi_chooser.h
        ../formeditor/embeddedoptionspage.cpp ../formeditor/embeddedoptionspage.h
        ../formeditor/formeditor.cpp ../formeditor/formeditor.h
        ../formeditor/formeditor_global.h
        ../formeditor/formeditor_optionspage.cpp ../formeditor/formeditor_optionspage.h
        ../formeditor/formwindow.cpp ../formeditor/formwindow.h
        ../formeditor/formwindow_dnditem.cpp ../formeditor/formwindow_dnditem.h
        ../formeditor/formwindow_widgetstack.cpp ../formeditor/formwindow_widgetstack.h
        ../formeditor/formwindowcursor.cpp ../formeditor/formwindowcursor.h
        ../formeditor/formwindowmanager.cpp ../formeditor/formwindowmanager.h
        ../formeditor/formwindowsettings.cpp ../formeditor/formwindowsettings.h
        ../formeditor/itemview_propertysheet.cpp ../formeditor/itemview_propertysheet.h
        ../formeditor/layout_propertysheet.cpp ../formeditor/layout_propertysheet.h
        ../formeditor/line_propertysheet.cpp ../formeditor/line_propertysheet.h
        ../formeditor/previewactiongroup.cpp ../formeditor/previewactiongroup.h
        ../formeditor/qdesigner_resource.cpp ../formeditor/qdesigner_resource.h
        ../formeditor/qlayoutwidget_propertysheet.cpp ../formeditor/qlayoutwidget_propertysheet.h
        ../formeditor/qmainwindow_container.cpp ../formeditor/qmainwindow_container.h
        ../formeditor/qmdiarea_container.cpp ../formeditor/qmdiarea_container.h
        ../formeditor/qwizard_container.cpp ../formeditor/qwizard_container.h
        ../formeditor/spacer_propertysheet.cpp ../formeditor/spacer_propertysheet.h
        ../formeditor/templateoptionspage.cpp ../formeditor/templateoptionspage.h
        ../formeditor/tool_widgeteditor.cpp ../formeditor/tool_widgeteditor.h
        ../formeditor/widgetselection.cpp ../formeditor/widgetselection.h
        ../objectinspector/objectinspector.cpp ../objectinspector/objectinspector.h
        ../objectinspector/objectinspector_global.h
        ../objectinspector/objectinspectormodel.cpp ../objectinspector/objectinspectormodel_p.h
        ../propertyeditor/brushpropertymanager.cpp ../propertyeditor/brushpropertymanager.h
        ../propertyeditor/designerpropertymanager.cpp ../propertyeditor/designerpropertymanager.h
        ../propertyeditor/fontpropertymanager.cpp ../propertyeditor/fontpropertymanager.h
        ../propertyeditor/newdynamicpropertydialog.cpp ../propertyeditor/newdynamicpropertydialog.h
        ../propertyeditor/paletteeditor.cpp ../propertyeditor/paletteeditor.h
        ../propertyeditor/paletteeditorbutton.cpp ../propertyeditor/paletteeditorbutton.h
        ../propertyeditor/pixmapeditor.cpp ../propertyeditor/pixmapeditor.h
        ../propertyeditor/previewframe.cpp ../propertyeditor/previewframe.h
        ../propertyeditor/previewwidget.cpp ../propertyeditor/previewwidget.h
        ../propertyeditor/propertyeditor.cpp ../propertyeditor/propertyeditor.h
        ../propertyeditor/propertyeditor_global.h
        ../propertyeditor/qlonglongvalidator.cpp ../propertyeditor/qlonglongvalidator.h
        ../propertyeditor/stringlisteditor.cpp ../propertyeditor/stringlisteditor.h
        ../propertyeditor/stringlisteditorbutton.cpp ../propertyeditor/stringlisteditorbutton.h
        ../signalsloteditor/connectdialog.cpp  ../signalsloteditor/connectdialog_p.h
        ../signalsloteditor/signalslot_utils.cpp ../signalsloteditor/signalslot_utils_p.h
        ../signalsloteditor/signalsloteditor.cpp ../signalsloteditor/signalsloteditor.h ../signalsloteditor/signalsloteditor_p.h
        ../signalsloteditor/signalsloteditor_global.h
        ../signalsloteditor/signalsloteditor_plugin.cpp ../signalsloteditor/signalsloteditor_plugin.h
        ../signalsloteditor/signalsloteditor_tool.cpp ../signalsloteditor/signalsloteditor_tool.h
        ../signalsloteditor/signalsloteditorwindow.cpp ../signalsloteditor/signalsloteditorwindow.h
        ../tabordereditor/tabordereditor.cpp ../tabordereditor/tabordereditor.h
        ../tabordereditor/tabordereditor_global.h
        ../tabordereditor/tabordereditor_plugin.cpp ../tabordereditor/tabordereditor_plugin.h
        ../tabordereditor/tabordereditor_tool.cpp ../tabordereditor/tabordereditor_tool.h
        ../taskmenu/button_taskmenu.cpp ../taskmenu/button_taskmenu.h
        ../taskmenu/combobox_taskmenu.cpp ../taskmenu/combobox_taskmenu.h
        ../taskmenu/containerwidget_taskmenu.cpp ../taskmenu/containerwidget_taskmenu.h
        ../taskmenu/groupbox_taskmenu.cpp ../taskmenu/groupbox_taskmenu.h
        ../taskmenu/inplace_editor.cpp ../taskmenu/inplace_editor.h
        ../taskmenu/inplace_widget_helper.cpp ../taskmenu/inplace_widget_helper.h
        ../taskmenu/itemlisteditor.cpp ../taskmenu/itemlisteditor.h
        ../taskmenu/label_taskmenu.cpp ../taskmenu/label_taskmenu.h
        ../taskmenu/layouttaskmenu.cpp ../taskmenu/layouttaskmenu.h
        ../taskmenu/lineedit_taskmenu.cpp ../taskmenu/lineedit_taskmenu.h
        ../taskmenu/listwidget_taskmenu.cpp ../taskmenu/listwidget_taskmenu.h
        ../taskmenu/listwidgeteditor.cpp ../taskmenu/listwidgeteditor.h
        ../taskmenu/menutaskmenu.cpp ../taskmenu/menutaskmenu.h
        ../taskmenu/tablewidget_taskmenu.cpp ../taskmenu/tablewidget_taskmenu.h
        ../taskmenu/tablewidgeteditor.cpp ../taskmenu/tablewidgeteditor.h
        ../taskmenu/taskmenu_component.cpp ../taskmenu/taskmenu_component.h
        ../taskmenu/textedit_taskmenu.cpp ../taskmenu/textedit_taskmenu.h
        ../taskmenu/toolbar_taskmenu.cpp ../taskmenu/toolbar_taskmenu.h
        ../taskmenu/treewidget_taskmenu.cpp ../taskmenu/treewidget_taskmenu.h
        ../taskmenu/treewidgeteditor.cpp ../taskmenu/treewidgeteditor.h
        ../widgetbox/widgetbox.cpp ../widgetbox/widgetbox.h
        ../widgetbox/widgetbox_dnditem.cpp ../widgetbox/widgetbox_dnditem.h
        ../widgetbox/widgetbox_global.h
        ../widgetbox/widgetboxcategorylistview.cpp ../widgetbox/widgetboxcategorylistview.h
        ../widgetbox/widgetboxtreewidget.cpp ../widgetbox/widgetboxtreewidget.h
        qdesigner_components.cpp
    NO_UNITY_BUILD_SOURCES
        ../tabordereditor/tabordereditor.cpp # redefinition of 'QMetaTypeId<QList<QWidget *>>' (from qdesigner_resource.cpp)
        ../formeditor/formwindow.cpp         # explicit specialization of 'QMetaTypeId<QWidget *>' after instantiation
    DEFINES
        QDESIGNER_COMPONENTS_LIBRARY
        QT_STATICPLUGIN
    INCLUDE_DIRECTORIES
        .
        ..
        ../../../../shared/tools/shared/qtpropertybrowser
        ../../lib/components
        ../../lib/extension
        ../../lib/sdk
        ../../lib/shared
        ../buddyeditor
        ../formeditor
        ../objectinspector
        ../propertyeditor ../propertyeditor
        ../signalsloteditor
        ../tabordereditor
        ../taskmenu
        ../widgetbox
    LIBRARIES
        Qt::Xml
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::DesignerPrivate
        Qt::GuiPrivate
        Qt::WidgetsPrivate
        Qt::Xml
    ENABLE_AUTOGEN_TOOLS
        uic
    PRECOMPILED_HEADER
        "lib_pch.h"
    NO_GENERATE_CPP_EXPORTS
)

set(ui_sources
    ../formeditor/deviceprofiledialog.ui
    ../formeditor/formwindowsettings.ui
    ../formeditor/templateoptionspage.ui
    ../propertyeditor/newdynamicpropertydialog.ui
    ../propertyeditor/paletteeditor.ui
    ../propertyeditor/previewwidget.ui
    ../propertyeditor/stringlisteditor.ui
    ../signalsloteditor/connectdialog.ui
    ../taskmenu/itemlisteditor.ui
    ../taskmenu/tablewidgeteditor.ui
    ../taskmenu/treewidgeteditor.ui
)

# Work around QTBUG-95305
if(CMAKE_GENERATOR STREQUAL "Ninja Multi-Config" AND CMAKE_CROSS_CONFIGS)
    qt6_wrap_ui(ui_sources_processed ${ui_sources})
else()
    set(ui_sources_processed ${ui_sources})
endif()
target_sources(DesignerComponentsPrivate PRIVATE ${ui_sources_processed})

# Resources:
set(propertyeditor_resource_files
    "../propertyeditor/fontmapping.xml"
)

qt_internal_add_resource(DesignerComponentsPrivate "propertyeditor"
    PREFIX
        "/qt-project.org/propertyeditor"
    BASE
        "../propertyeditor"
    FILES
        ${propertyeditor_resource_files}
)
set(formeditor_resource_files
    "../formeditor/images/color.png"
    "../formeditor/images/configure.png"
    "../formeditor/images/downplus.png"
    "../formeditor/images/dropdownbutton.png"
    "../formeditor/images/edit.png"
    "../formeditor/images/editdelete-16.png"
    "../formeditor/images/emptyicon.png"
    "../formeditor/images/filenew-16.png"
    "../formeditor/images/fileopen-16.png"
    "../formeditor/images/leveldown.png"
    "../formeditor/images/levelup.png"
    "../formeditor/images/mac/adjustsize.png"
    "../formeditor/images/mac/back.png"
    "../formeditor/images/mac/buddytool.png"
    "../formeditor/images/mac/down.png"
    "../formeditor/images/mac/editbreaklayout.png"
    "../formeditor/images/mac/editcopy.png"
    "../formeditor/images/mac/editcut.png"
    "../formeditor/images/mac/editdelete.png"
    "../formeditor/images/mac/editform.png"
    "../formeditor/images/mac/editgrid.png"
    "../formeditor/images/mac/edithlayout.png"
    "../formeditor/images/mac/edithlayoutsplit.png"
    "../formeditor/images/mac/editlower.png"
    "../formeditor/images/mac/editpaste.png"
    "../formeditor/images/mac/editraise.png"
    "../formeditor/images/mac/editvlayout.png"
    "../formeditor/images/mac/editvlayoutsplit.png"
    "../formeditor/images/mac/filenew.png"
    "../formeditor/images/mac/fileopen.png"
    "../formeditor/images/mac/filesave.png"
    "../formeditor/images/mac/forward.png"
    "../formeditor/images/mac/insertimage.png"
    "../formeditor/images/mac/minus.png"
    "../formeditor/images/mac/plus.png"
    "../formeditor/images/mac/redo.png"
    "../formeditor/images/mac/signalslottool.png"
    "../formeditor/images/mac/simplifyrichtext.png"
    "../formeditor/images/mac/tabordertool.png"
    "../formeditor/images/mac/textanchor.png"
    "../formeditor/images/mac/textbold.png"
    "../formeditor/images/mac/textcenter.png"
    "../formeditor/images/mac/textitalic.png"
    "../formeditor/images/mac/textjustify.png"
    "../formeditor/images/mac/textleft.png"
    "../formeditor/images/mac/textright.png"
    "../formeditor/images/mac/textsubscript.png"
    "../formeditor/images/mac/textsuperscript.png"
    "../formeditor/images/mac/textunder.png"
    "../formeditor/images/mac/undo.png"
    "../formeditor/images/mac/up.png"
    "../formeditor/images/mac/widgettool.png"
    "../formeditor/images/minus-16.png"
    "../formeditor/images/prefix-add.png"
    "../formeditor/images/qtlogo128x128.png"
    "../formeditor/images/qtlogo16x16.png"
    "../formeditor/images/qtlogo24x24.png"
    "../formeditor/images/qtlogo32x32.png"
    "../formeditor/images/qtlogo64x64.png"
    "../formeditor/images/reload.png"
    "../formeditor/images/resetproperty.png"
    "../formeditor/images/righttoleft.png"
    "../formeditor/images/sort.png"

=== debian/changelog ===
qt6-tools (6.8.2-5) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Replace the unversioned llvm build dependency with llvm-19, following the
    other LLVM/clang versioned build dependencies.
  * Enable qdoc also on powerpc, ppc64, and x32.

 -- Pino Toscano <pino@debian.org>  Mon, 21 Apr 2025 10:01:50 +0200

qt6-tools (6.8.2-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update symbols files from the logs of buildds.
  * Enable qdoc also on hurd-amd64, and hurd-i386. (Closes: #1093429)

 -- Pino Toscano <pino@debian.org>  Sat, 29 Mar 2025 06:45:26 +0100

qt6-tools (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:23:11 +0100

qt6-tools (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 01:12:02 +0100

qt6-tools (6.8.2-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Add qdoc-qt6 as Build-Depends-Indep: it is needed to generate the API
    documentations.

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update the llvm B-D to llvm-19.
  * Update ABI to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 18:01:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: qt6-tools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: clang-18 [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+Build-Depends: clang-19 [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
                cmake (>= 3.24~),
                debhelper-compat (= 13),
-               libclang-18-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
-               libcups2-dev,
+               libclang-19-dev [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
                libcurl4-openssl-dev | libcurl4-dev,
                libedit-dev,
                libgl-dev,
@@ -17,19 +15,19 @@
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                libzstd-dev (>= 1.3),
-               llvm [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
-               llvm-18-dev [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
+               llvm-19 [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+               llvm-19-dev [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
 Build-Depends-Indep: qdoc-qt6 (>= 6.8~) <!nodoc>,
                      qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-tools.git
@@ -38,7 +36,7 @@
 Package: libqt6designer6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-designer-private-abi (= 6.8.1),
+Provides: qt6-designer-private-abi (= 6.8.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Designer library
@@ -63,7 +61,7 @@
 Package: libqt6help6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-help-private-abi (= 6.8.1),
+Provides: qt6-help-private-abi (= 6.8.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Help library
@@ -76,7 +74,7 @@
 Package: libqt6uitools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-uitools-private-abi (= 6.8.1),
+Provides: qt6-uitools-private-abi (= 6.8.2),
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 UI tools library
@@ -150,10 +148,10 @@
  qdbus is a tool for listing D-Bus services and its properties.
 
 Package: qdoc-qt6
-Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64
-Multi-Arch: foreign
-Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Multi-Arch: foreign
+Section: utils
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: qt6-documentation-tools (<< 6.7.2-5~),
 Replaces: qt6-documentation-tools (<< 6.7.2-5~),
 Description: Qt 6 qdoc tool
@@ -168,9 +166,8 @@
 Multi-Arch: foreign
 Section: utils
 Depends: libqt6sql6-sqlite,
-         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x sparc64],
-         ${misc:Depends},
-         ${shlibs:Depends},
+         qdoc-qt6 (= ${binary:Version}) [amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+         ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 documentation tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
